အကြောင်းအရာသို့ ကျော်ရန်

Maya1

ပေါင်းစည်းရန်

မော်ဒယ် id maya
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/maya?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "prompt": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ≈၀.၀၄၉ $ ၄၉ API ခရက်ဒစ် · ≈ ၅.၁၇ ₽ ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Maya Research စာသားမှ အသံ #text-to-speech#tts

အသံဖော်ပြချက်ပရောမ့်နှင့် စာသားအတွင်း ထည့်သွင်းနိုင်သော စိတ်ခံစားမှု tag များပါသော ဖော်ပြမှုကောင်းသည့် စာသားမှအသံ ဖန်တီးမှု

Maya Research · အသံ

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည် 50 / 5000

'Hello world! <excited> This is amazing!' သို့မဟုတ် 'I can't believe this <sigh> happened again.' ကဲ့သို့ မည်သည့်နေရာတွင်မဆို <emotion_name> ပုံစံ စိတ်ခံစားချက် tag များကို လက်ခံသည့် စကားပြောဖန်တီးမှု စာသား။ ပံ့ပိုးထားသော စိတ်ခံစားချက်များမှာ curious, sarcastic, giggle, gulp, exhale, snort, sing, scream, cry, whisper, excited, angry, gasp, chuckle, sigh, laugh_harder နှင့် laugh တို့ဖြစ်သည်။

•လိုအပ်သည် 50 / 500

ဖော်ပြမည့် အသံ သို့မဟုတ် ဇာတ်ကောင်လက္ခဏာများ။ ဥပမာ အားပြင်းမှု၊ အသံနေအသံထား၊ အရှိန်အဟုန်၊ အသံအရောင်၊ အသံအနိမ့်အမြင့်၊ လေယူလေသိမ်းနှင့် အသက်အရွယ်။

အဆင့်မြင့် sample_rate · output_format · temperature · top_p · max_tokens · repetition_penalty · enable_safety_checker
sample_rate မူလ 48 kHz

24 kHz တွင် ပိုမိုမြန်ဆန်စွာ လုပ်ဆောင်ခြင်းနှင့် 48 kHz တွင် အရည်အသွေးမြင့် ထွက်ရလဒ်တို့အကြား အသံ sample-rate ရွေးချယ်မှု။

output_format မူလ wav

ဖန်တီးထားသော စကားပြောအသံအတွက် အသုံးပြုသည့် အသံဖိုင်ဖော်မတ်။

မူလ 0.4

အသံကွဲပြားမှုကို ထိန်းချုပ်သော sampling အပူချိန်။ တိုးမြှင့်ပါက ကွဲပြားမှု ပိုများလာပြီး 0.2–0.5 ၏ အောက်ပိုင်းအကွာအဝေးသည် တည်ငြိမ်မှုနှင့် တစ်သမတ်တည်းဖြစ်မှုကို ဦးစားပေးသည်။

မူလ 0.9

တိုကင်ရွေးချယ်မှု ကွဲပြားမှုကို ချိန်ညှိသော nucleus sampling ဆက်တင်။

မူလ 2000

အသံကြာချိန်ကို ကန့်သတ်သည့် SNAC တိုကင်ဘတ်ဂျက်။ ဖရိမ်တစ်ခုလျှင် 7 တိုကင်ဖြင့် တွက်ချက်သည်။

မူလ 1.1

တိုကင်ထပ်ခါတလဲလဲ ဖြစ်မှုအပေါ် ချမှတ်သည့် ပြစ်ဒဏ်။ တိုးမြှင့်ပါက ထပ်ခါတလဲလဲဖြစ်မှုကြောင့် ပေါ်လာသော အမှားအယွင်းများကို လျှော့ချပေးသည်။

POST /run/maya?wait=20 ကုန်ကျစရိတ် → ၀.၀၄၉ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/maya?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "prompt": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Maya1 အကြောင်း

အက္ခရာ 5000 အထိပါသော စာသားကို စကားသံအဖြစ် ပြောင်းပေးသည်။ အသံ၏ အသက်အရွယ်၊ လေယူလေသိမ်းနှင့် အသံနေအသံထားတို့ကို ဖော်ပြသည့် အက္ခရာ 500 အထိပါသော လိုအပ်သည့် `prompt` တစ်ခု ရှိရမည်။ laugh သို့မဟုတ် whisper ကဲ့သို့သော စိတ်ခံစားမှု tag များကို စာသားထဲတွင် ထည့်သွင်းနိုင်သည်။ 48 kHz သို့မဟုတ် 24 kHz နမူနာနှုန်း နှင့် wav သို့မဟုတ် mp3 ထွက်ရလဒ်ကို ရွေးချယ်နိုင်သည်။ `max_tokens` သည် အသံအရှည်ကို ကန့်သတ်သည်။

ပါရာမီတာများ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
textလိုအပ်သည်
အမျိုးအစားstring
စာလုံး ၅,၀၀၀ လုံးထက် မပိုပါ
'Hello world! <excited> This is amazing!' သို့မဟုတ် 'I can't believe this <sigh> happened again.' ကဲ့သို့ မည်သည့်နေရာတွင်မဆို <emotion_name> ပုံစံ စိတ်ခံစားချက် tag များကို လက်ခံသည့် စကားပြောဖန်တီးမှု စာသား။ ပံ့ပိုးထားသော စိတ်ခံစားချက်များမှာ curious, sarcastic, giggle, gulp, exhale, snort, sing, scream, cry, whisper, excited, angry, gasp, chuckle, sigh, laugh_harder နှင့် laugh တို့ဖြစ်သည်။
promptလိုအပ်သည်
အမျိုးအစားstring
စာလုံး ၅၀၀ လုံးထက် မပိုပါ
ဖော်ပြမည့် အသံ သို့မဟုတ် ဇာတ်ကောင်လက္ခဏာများ။ ဥပမာ အားပြင်းမှု၊ အသံနေအသံထား၊ အရှိန်အဟုန်၊ အသံအရောင်၊ အသံအနိမ့်အမြင့်၊ လေယူလေသိမ်းနှင့် အသက်အရွယ်။
temperatureရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး0.4
၀ – ၂
အသံကွဲပြားမှုကို ထိန်းချုပ်သော sampling အပူချိန်။ တိုးမြှင့်ပါက ကွဲပြားမှု ပိုများလာပြီး 0.2–0.5 ၏ အောက်ပိုင်းအကွာအဝေးသည် တည်ငြိမ်မှုနှင့် တစ်သမတ်တည်းဖြစ်မှုကို ဦးစားပေးသည်။
top_pရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး0.9
၀ – ၁
တိုကင်ရွေးချယ်မှု ကွဲပြားမှုကို ချိန်ညှိသော nucleus sampling ဆက်တင်။
max_tokensရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး2000
၂၈ – ၄,၀၀၀
အသံကြာချိန်ကို ကန့်သတ်သည့် SNAC တိုကင်ဘတ်ဂျက်။ ဖရိမ်တစ်ခုလျှင် 7 တိုကင်ဖြင့် တွက်ချက်သည်။
repetition_penaltyရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး1.1
၁ – ၂
တိုကင်ထပ်ခါတလဲလဲ ဖြစ်မှုအပေါ် ချမှတ်သည့် ပြစ်ဒဏ်။ တိုးမြှင့်ပါက ထပ်ခါတလဲလဲဖြစ်မှုကြောင့် ပေါ်လာသော အမှားအယွင်းများကို လျှော့ချပေးသည်။
sample_rateရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုး48 kHz
48 kHz24 kHz
24 kHz တွင် ပိုမိုမြန်ဆန်စွာ လုပ်ဆောင်ခြင်းနှင့် 48 kHz တွင် အရည်အသွေးမြင့် ထွက်ရလဒ်တို့အကြား အသံ sample-rate ရွေးချယ်မှု။
output_formatရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးwav
wavmp3
ဖန်တီးထားသော စကားပြောအသံအတွက် အသုံးပြုသည့် အသံဖိုင်ဖော်မတ်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
caller က ခွင့်ပြုချက်ရှိပါက false သတ်မှတ်ခြင်းဖြင့် စစ်ဆေးမှုကို လျှော့ချနိုင်သည်။
လိုအပ်သည်

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "maya",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 49,
    "usd": "0.049",
    "charged": 49,
    "refunded": 0
  },
  "input": {
    "text": "Hello from Doitong. This is a short test sentence.",
    "prompt": "Hello from Doitong. This is a short test sentence."
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "duration": 5,
    "sample_rate": "48 kHz",
    "generation_time": 2.3,
    "rtf": 0.51
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
audio
object {url, content_type, file_name, file_size}WAV သို့မဟုတ် MP3 ဖြင့် ဖန်တီးထားသော စကားပြောအသံဖိုင်။ upsampler က သတ်မှတ်သည့်အတိုင်း 24 kHz သို့မဟုတ် 48 kHz mono အသံဖြစ်သည်။
duration
numberစက္ကန့်ဖြင့် တိုင်းတာထားသော အသံထွက်ရလဒ်၏ ကြာချိန်။
sample_rate
stringအသံထွက်ရလဒ်၏ sampling rate။
generation_time
numberစက္ကန့်ဖြင့် တိုင်းတာထားသော အသံဖန်တီးချိန်။
rtf
numbergeneration_time ကို audio_duration ဖြင့် စား၍ တွက်ချက်ထားသော အချိန်နှင့်တစ်ပြေးညီ အချိုး။ တန်ဖိုးနည်းလေလေ စွမ်းဆောင်ရည်ကောင်းလေလေ ဖြစ်သည်။

နောက်ထပ် မော်ဒယ်များ: စာသားမှ အသံ

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/maya.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt